# network l3 conntrack helper

Network v2

## network l3 conntrack helper create

Create a new L3 conntrack helper

    openstack network l3 conntrack helper create
        --helper <helper>
        --protocol <protocol>
        --port <port>
        <router>

--helper <helper>

  The netfilter conntrack helper module

--protocol <protocol>

  The network protocol for the netfilter conntrack target rule

--port <port>

  The network port for the netfilter conntrack target rule

router

  Router for which conntrack helper will be created

## network l3 conntrack helper delete

Delete L3 conntrack helper

    openstack network l3 conntrack helper delete
        <router>
        <conntrack-helper-id>
        [<conntrack-helper-id> ...]

router

  Router that the conntrack helper belongs to

conntrack-helper-id

  The ID of the conntrack helper(s) to delete

## network l3 conntrack helper list

List L3 conntrack helpers

    openstack network l3 conntrack helper list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--helper <helper>]
        [--protocol <protocol>]
        [--port <port>]
        <router>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--helper <helper>

  List only helpers using the specified netfilter conntrack helper module

--protocol <protocol>

  List only helpers with the specified network protocol for the netfilter conntrack target rule

--port <port>

  List only helpers with the specified network port for the netfilter conntrack target rule (name or ID)

router

  Router that the conntrack helper belongs to

## network l3 conntrack helper set

Set L3 conntrack helper properties

    openstack network l3 conntrack helper set
        [--helper <helper>]
        [--protocol <protocol>]
        [--port <port>]
        <router>
        <conntrack-helper-id>

--helper <helper>

  The netfilter conntrack helper module

--protocol <protocol>

  The network protocol for the netfilter conntrack target rule

--port <port>

  The network port for the netfilter conntrack target rule

router

  Router that the conntrack helper belongs to

conntrack-helper-id

  The ID of the conntrack helper(s)

## network l3 conntrack helper show

Display L3 conntrack helper details

    openstack network l3 conntrack helper show
        <router>
        <conntrack-helper-id>

router

  Router that the conntrack helper belongs to

conntrack-helper-id

  The ID of the conntrack helper

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.